Last Comment Bug 760357 - java.lang.NullPointerException: at org.mozilla.gecko.GeckoApp.onPrepareOptionsMenu(GeckoApp.java) at org.mozilla.gecko.GeckoApp.onPreparePanel(GeckoApp.java)
: java.lang.NullPointerException: at org.mozilla.gecko.GeckoApp.onPrepareOption...
Status: RESOLVED DUPLICATE of bug 773089
[native-crash]
: crash, regression, topcrash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 15 Branch
: ARM Android
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 760196
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 21:24 PDT by Oleg Romashin (:romaxa)
Modified: 2016-07-29 14:25 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
-
fixed
unaffected


Attachments

Description Oleg Romashin (:romaxa) 2012-05-31 21:24:04 PDT
Recent merge introduced crash on startup.
http://hg.mozilla.org/mozilla-central/pushloghtml?changeset=d6ae9ef0eb50

I/GeckoViewsFactory(29882): Creating custom Gecko view: FormAssistPopup
I/GeckoViewsFactory(29882): Creating custom Gecko view: AboutHomeContent
I/GeckoViewsFactory(29882): Creating custom Gecko view: FindInPageBar
W/GeckoApp(29882): zerdatime 65208239 - onStart
I/GeckoApp(29882): start
I/GeckoApp(29882): resume
D/libEGL  (29882): loaded /system/lib/egl/libEGL_tegra.so
D/libEGL  (29882): loaded /system/lib/egl/libGLESv1_CM_tegra.so
D/libEGL  (29882): loaded /system/lib/egl/libGLESv2_tegra.so
D/OpenGLRenderer(29882): Enabling debug mode 0
D/AndroidRuntime(29882): Shutting down VM
W/dalvikvm(29882): threadid=1: thread exiting with uncaught exception (group=0x40a261f8)
E/GeckoAppShell(29882): >>> REPORTING UNCAUGHT EXCEPTION FROM THREAD 1 ("main")
E/GeckoAppShell(29882): java.lang.NullPointerException
E/GeckoAppShell(29882): 	at org.mozilla.gecko.GeckoApp.onPrepareOptionsMenu(GeckoApp.java:418)
E/GeckoAppShell(29882): 	at android.app.Activity.onPreparePanel(Activity.java:2462)
E/GeckoAppShell(29882): 	at com.android.internal.policy.impl.PhoneWindow.preparePanel(PhoneWindow.java:416)
E/GeckoAppShell(29882): 	at com.android.internal.policy.impl.PhoneWindow.invalidatePanelMenu(PhoneWindow.java:739)
E/GeckoAppShell(29882): 	at com.android.internal.policy.impl.PhoneWindow$1.run(PhoneWindow.java:2833)
E/GeckoAppShell(29882): 	at android.os.Handler.handleCallback(Handler.java:605)
E/GeckoAppShell(29882): 	at android.os.Handler.dispatchMessage(Handler.java:92)
E/GeckoAppShell(29882): 	at android.os.Looper.loop(Looper.java:137)
E/GeckoAppShell(29882): 	at android.app.ActivityThread.main(ActivityThread.java:4424)
E/GeckoAppShell(29882): 	at java.lang.reflect.Method.invokeNative(Native Method)
E/GeckoAppShell(29882): 	at java.lang.reflect.Method.invoke(Method.java:511)
E/GeckoAppShell(29882): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:784)
E/GeckoAppShell(29882): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:551)
E/GeckoAppShell(29882): 	at dalvik.system.NativeStart.main(Native Method)
F/libc    (29882): Fatal signal 11 (SIGSEGV) at 0x00000000 (code=1)
I/DEBUG   (18527): *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
I/DEBUG   (18527): Build fingerprint: 'asus/US_epad/TF201:4.0.3/IML74K/US_epad-9.4.2.15-20120221:user/release-keys'
I/DEBUG   (18527): pid: 29882, tid: 29882  >>> org.mozilla.fennec <<<
I/DEBUG   (18527): signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 00000000
I/DEBUG   (18527):  r0 002902c0  r1 c7b00019  r2 f850001d  r3 00000000
I/DEBUG   (18527):  r4 56fb2510  r5 00293828  r6 00000000  r7 bee617e8
I/DEBUG   (18527):  r8 bee617f0  r9 56c2df2c  10 5b50a796  fp bee61804
I/DEBUG   (18527):  ip 5755a019  sp bee617e8  lr 5755a025  pc 00000000  cpsr a0000010
I/DEBUG   (18527):  d0  0000000440800000  d1  0000001040800000
I/DEBUG   (18527):  d2  437f0000437f8000  d3  4200000041a80000
I/DEBUG   (18527):  d4  0000000000000000  d5  0000000000000000
I/DEBUG   (18527):  d6  3f2800003f280000  d7  408000003f800000
I/DEBUG   (18527):  d8  0000000000000000  d9  0000000000000000
I/DEBUG   (18527):  d10 0000000000000000  d11 0000000000000000
I/DEBUG   (18527):  d12 0000000000000000  d13 0000000000000000
I/DEBUG   (18527):  d14 0000000000000000  d15 0000000000000000
I/DEBUG   (18527):  d16 0000000740bcaea8  d17 3ff0000000000000
I/DEBUG   (18527):  d18 3ff0000000000000  d19 bed0810fee5b0b6f
I/DEBUG   (18527):  d20 4000000000000000  d21 3f11566a75de22e0
I/DEBUG   (18527):  d22 bebbbd416a11fd20  d23 bf66fdeb3ae21000
I/DEBUG   (18527):  d24 3e66376972bea4d0  d25 3fd174646512dc71
I/DEBUG   (18527):  d26 3fefdfde00000000  d27 bed0810fee5b0a9d
I/DEBUG   (18527):  d28 c00005c02b53cb8a  d29 bf66fdec79316df6
I/DEBUG   (18527):  d30 bc0a42cc192d5632  d31 be23e4f5df600000
I/DEBUG   (18527):  scr 20000012
I/DEBUG   (18527): 
I/DEBUG   (18527):          #00  pc 00000000  
I/DEBUG   (18527):          #01  pc 00015022  /data/data/org.mozilla.fennec/lib/libmozglue.so (Java_org_mozilla_gecko_GeckoAppShell_reportJavaCrash)
I/DEBUG   (18527):          #02  pc 0001ec30  /system/lib/libdvm.so (dvmPlatformInvoke)
I/DEBUG   (18527):          #03  pc 00058f6c  /system/lib/libdvm.so (_Z16dvmCallJNIMethodPKjP6JValuePK6MethodP6Thread)
I/DEBUG   (18527): 
I/DEBUG   (18527): code around pc:
I/DEBUG   (18527): 00000000 ffffffff ffffffff ffffffff ffffffff  ................
I/DEBUG   (18527): 00000010 ffffffff ffffffff ffffffff ffffffff  ................
I/DEBUG   (18527): 00000020 ffffffff ffffffff ffffffff ffffffff  ................
I/DEBUG   (18527): 00000030 ffffffff ffffffff ffffffff ffffffff  ................
I/DEBUG   (18527): 00000040 ffffffff ffffffff ffffffff ffffffff  ................
I/DEBUG   (18527): 
I/DEBUG   (18527): code around lr:
I/DEBUG   (18527): 5755a004 b5804b03 447baf00 4798681b bd8046bd  .K....{D.h.G.F..
I/DEBUG   (18527): 5755a014 00019fbe b5804b03 447baf00 4798681b  .....K....{D.h.G
I/DEBUG   (18527): 5755a024 bd8046bd 00019f6e b5804b03 447baf00  .F..n....K....{D
I/DEBUG   (18527): 5755a034 4798681b bd8046bd 00019f6a b5804b03  .h.G.F..j....K..
I/DEBUG   (18527): 5755a044 447baf00 4798681b bd8046bd 00019fa6  ..{D.h.G.F......
I/DEBUG   (18527): 
I/DEBUG   (18527): stack:
I/DEBUG   (18527):     bee617a8  00466338  [heap]
I/DEBUG   (18527):     bee617ac  400964b8  
I/DEBUG   (18527):     bee617b0  004662f0  [heap]
I/DEBUG   (18527):     bee617b4  00466308  [heap]
I/DEBUG   (18527):     bee617b8  407f3dc0  /system/lib/libdvm.so
I/DEBUG   (18527):     bee617bc  40096498  
I/DEBUG   (18527):     bee617c0  40bcaea8  /dev/ashmem/dalvik-heap (deleted)
I/DEBUG   (18527):     bee617c4  bee61808  [stack]
I/DEBUG   (18527):     bee617c8  00297fb8  [heap]
I/DEBUG   (18527):     bee617cc  bee61808  [stack]
I/DEBUG   (18527):     bee617d0  b5c9e822  
I/DEBUG   (18527):     bee617d4  408257db  /system/lib/libdvm.so
I/DEBUG   (18527):     bee617d8  4110b9a8  /dev/ashmem/dalvik-heap (deleted)
I/DEBUG   (18527):     bee617dc  4110b9a8  /dev/ashmem/dalvik-heap (deleted)
I/DEBUG   (18527):     bee617e0  00293828  [heap]
I/DEBUG   (18527):     bee617e4  002938d0  [heap]
I/DEBUG   (18527): #01 bee617e8  56c2df34  
I/DEBUG   (18527):     bee617ec  407f3c34  /system/lib/libdvm.so
I/BootReceiver(  195): Copying /data/tombstones/tombstone_04 to DropBox (SYSTEM_TOMBSTONE)
W/InputDispatcher(  195): channel '4107aed0 org.mozilla.fennec/org.mozilla.fennec.App (server)' ~ Consumer closed input channel or an error occurred.  events=0x8
E/InputDispatcher(  195): channel '4107aed0 org.mozilla.fennec/org.mozilla.fennec.App (server)' ~ Channel is unrecoverably broken and will be disposed!
I/ActivityManager(  195): Process org.mozilla.fennec (pid 29882) has died.
W/ActivityManager(  195): Force removing ActivityRecord{41298168 org.mozilla.fennec/.App}: app died, no saved state
W/InputDispatcher(  195): Attempted to unregister already unregistered input channel '4107aed0 org.mozilla.fennec/org.mozilla.fennec.App (server)'
D/Zygote  (  108): Process 29882 terminated by signal (11)
I/WindowManager(  195): WINDOW DIED Window{4107aed0 org.mozilla.fennec/org.mozilla.fennec.App paused=false}
Comment 1 Oleg Romashin (:romaxa) 2012-05-31 21:44:58 PDT
Sounds like some change in next inbound fixing the problem
Comment 2 Scoobidiver (away) 2012-06-01 01:37:02 PDT
It has the same signature as bug 760267 but a different stack.
Comment 3 Aaron Train [:aaronmt] 2012-06-01 07:02:19 PDT
This is likely fixed with bug 760196.
Comment 4 Robert Kaiser 2012-06-04 09:28:19 PDT
Bug 760267 is also filed about this signature. Dupes in some way?
Comment 5 Scoobidiver (away) 2012-06-04 09:32:44 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #4)
> Bug 760267 is also filed about this signature. Dupes in some way?
See comment 2.
Comment 7 Aaron Train [:aaronmt] 2012-06-06 08:47:29 PDT
Unable to reproduce on my Transformer Prime TF201 (Android 4.0.4) running Nightly (06/06).
Comment 8 Oleg Romashin (:romaxa) 2012-06-06 08:54:07 PDT
Don't see crash anymore on latest tip... ALF?
Comment 9 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-06-06 14:43:41 PDT
2 devices still show this issue (from https://crash-analysis.mozilla.com/rkaiser/2012-06-05/2012-06-05.fennecandroid.nightly.devices.weekly.html#sigs )
Samsung GT-N7000
Unknown P85(R8A1)


Samsung GT-N7000 Shows crash on 6/05 build : 
https://crash-stats.mozilla.com/report/index/6f584c1e-e838-4d4f-93ad-fcfdc2120605
Comment 10 Scoobidiver (away) 2012-06-12 02:31:37 PDT
It's #3 top crasher in 15.0a2 and #5 in 16.0a1.
Comment 11 Scoobidiver (away) 2012-06-14 11:19:08 PDT
The patch of bug 760267 has fixed this crash.

*** This bug has been marked as a duplicate of bug 760267 ***
Comment 12 Scoobidiver (away) 2012-06-23 08:25:52 PDT
It's #3 top crasher in 15.0a2 and #16 in 16.0a1.
Comment 13 Scoobidiver (away) 2012-06-27 05:15:35 PDT
It's fixed in the trunk by an unknown patch different from the one in bug 760267. Indeed there are no crashes after 16.0a1/20120619.
Comment 14 Scoobidiver (away) 2012-06-27 08:22:08 PDT
It's not even fixed in the trunk. See bug 760267 comment 41.
Comment 15 Scoobidiver (away) 2012-06-28 05:19:01 PDT
Fixing bug 766861 in the trunk will probably fix this crash after uplift to Aurora.
Comment 16 Tony Chung [:tchung] 2012-07-02 09:33:40 PDT
adding qawanted, as there's no stable STRs yet.  also, need to test against the Galaxy Note.
Comment 17 Aaron Train [:aaronmt] 2012-07-04 06:22:50 PDT
Tested (07/04 Nightly, and latest stable release) with the Galaxy Note running 4.0.3 and I am unable to reproduce.
Comment 18 Scoobidiver (away) 2012-07-14 06:18:07 PDT
A patch similar to bug 773089 in GeckoApp might fix that.
Comment 19 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-15 13:39:54 PDT
tracking this regression since it's only present in 15.
Comment 20 Alex Keybl [:akeybl] 2012-07-16 13:10:03 PDT
(In reply to Scoobidiver from comment #14)
> It's not even fixed in the trunk. See bug 760267 comment 41.

Based upon this, I'm assuming that this bug should be marked as 16:affected.
Comment 21 Scoobidiver (away) 2012-07-16 14:22:35 PDT
(In reply to Alex Keybl [:akeybl] from comment #20)
> (In reply to Scoobidiver from comment #14)
> > It's not even fixed in the trunk. See bug 760267 comment 41.
> Based upon this, I'm assuming that this bug should be marked as 16:affected.
This comment meant it morphed into bug 766861/bug 773089 which is now fixed in Nightly and Aurora from 15.0a2/20120714 and has also fixed these crashes: https://crash-stats.mozilla.com/report/list?version=FennecAndroid%3A15.0a2&range_value=4&range_unit=weeks&signature=java.lang.NullPointerException%3A%20at%20org.mozilla.gecko.GeckoApp.onPrepareOptionsMenu%28GeckoApp.java%29

*** This bug has been marked as a duplicate of bug 773089 ***
Comment 22 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-18 09:12:22 PDT
[Triage Comment]
Removing tracking, this is fixed in bug 773089 on 15.

Note You need to log in before you can comment on or make changes to this bug.